import { useState } from 'react';
import { Platform } from 'react-native';
import { check, RESULTS, } from 'react-native-permissions';
import { useShow, useHide } from 'react-native-lifecycle';
export default (permissions, permissionStatus = RESULTS.GRANTED) => {
    const [state, setState] = useState(null);
    useShow(() => {
        if (typeof permissions === 'string') {
            permissions = [permissions];
        }
        Promise.all(permissions
            .filter((item) => item && item.startsWith(Platform.OS))
            .map(check)).then(res => {
            setState(res.every(item => item === permissionStatus));
        });
    });
    useHide(() => {
        setState(null);
    });
    return state;
};
